
TYPO3.Flow - Feature # 47

Status: Resolved Priority: Should have
Author: Robert Lemke Category: AOP
Created: 2007-03-26 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement pointcut designator for annotations
Description

Currently there is no pointcut filter for matching annotations - create it!

Associated revisions
Revision fca1af85 - 2008-06-04 13:47 - Robert Lemke

    -  FLOW3: (AOP) Added support for a new pointcut designator which allows to filter for matching annotations. This designator is called
"classTaggedWith()". Resolves #47.
    -  FLOW3: (Documentation) Added documentation for the above pointcut designator.
    -  FLOW3: (Reflection) FLOW3's Reflection Class and Reflection Method implementation did not always return reflection objects of their own kinds if
asked for getDeclaringClass() etc. - added some tests and support for that.
    -  FLOW3: (AOP) Refactored the pointcut filtering for making the classTaggedWith() filter possible.

History
#1 - 2008-01-28 15:58 - Robert Lemke
- Target version changed from 1 to 18

#2 - 2008-06-04 13:48 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r903.

#3 - 2008-07-01 15:31 - Robert Lemke
- Target version deleted (18)
